Bug 200372 - audio/teamspeak3-server: Update to 3.0.11.3
Summary: audio/teamspeak3-server: Update to 3.0.11.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-05-21 17:56 UTC by henrik
Modified: 2015-06-26 13:26 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
teamspeak3 port update (1.44 KB, patch)
2015-05-21 17:56 UTC, henrik
koobs: maintainer-approval-
Details | Diff
ts3 port diff with original PORTEPOCH (1.37 KB, patch)
2015-05-31 11:11 UTC, henrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description henrik 2015-05-21 17:56:41 UTC
Created attachment 157015 [details]
teamspeak3 port update

From the changelog:

=== Server Release 3.0.11.3 20 apr 2015
 - fixed DDOS amplification vulnerability
Comment 1 hirner 2015-05-31 10:34:06 UTC
Thanks for the patch. Did you check whether files have been changed, i.e. pkg-plist must be updated?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-05-31 10:48:17 UTC
PORTEPOCH shouldn't have been removed.

Pending QA results (portlint, poudriere) as per maintainers request
Comment 3 henrik 2015-05-31 11:11:04 UTC
Created attachment 157301 [details]
ts3 port diff with original PORTEPOCH

Ok, so PORTEPOCH needs to be kept in the Makefile once it has been introduced. Didn't know that, sorry. PLIST remains unchanged from what I can tell. I have attached an updated diff containing the PORTEPOCH again.
Comment 4 hirner 2015-05-31 11:12:19 UTC
Comment on attachment 157301 [details]
ts3 port diff with original PORTEPOCH

If pkg-plist hasn't changed, I don't have any further objections. Thank you.
Comment 5 henrik 2015-06-22 11:58:58 UTC
Is there some flag missing or why hasn't this been applied yet?
Comment 6 commit-hook freebsd_committer 2015-06-26 13:25:11 UTC
A commit references this bug:

Author: swills
Date: Fri Jun 26 13:24:39 UTC 2015
New revision: 390636
URL: https://svnweb.freebsd.org/changeset/ports/390636

Log:
  audio/teamspeak3-server: update to 3.0.11.3

  PR:		200372
  Submitted by:	Henrik Friedrichsen <henrik@affekt.org>
  Approved by:	Richard Hirner <hirner@bitfire.at> (maintainer)

Changes:
  head/audio/teamspeak3-server/Makefile
  head/audio/teamspeak3-server/distinfo